Back to top

API Documentation

< Back

Kuali Research REST APIs - Institutional Proposal

Research Institutional Proposal

Indirectcost Rate Types

Get Indirectcost Rate Types by Key
GET/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

GET /instprop/api/v1/indirectcost-rate-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "indirectcostRateTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Indirectcost Rate Types
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Indirectcost Rate Types with Filtering
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
indirectcostRateTypeCode
string (optional) 

Indirectcost Rate Type Code. Maximum length is 22.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Indirectcost Rate Types
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "indirectcostRateTypeCode",
    "description"
  ],
  "primaryKey": "indirectcostRateTypeCode"
}

Get Blueprint API specification for Indirectcost Rate Types
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Indirectcost Rate Types.md"
transfer-encoding: chunked

Update Indirectcost Rate Types
PUT/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

PUT /instprop/api/v1/indirectcost-rate-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "indirectcostRateTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Indirectcost Rate Types
PUT/instprop/api/v1/indirectcost-rate-types/

Example URI

PUT /instprop/api/v1/indirectcost-rate-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Indirectcost Rate Types
PATCH/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

PATCH /instprop/api/v1/indirectcost-rate-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "indirectcostRateTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "indirectcostRateTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Indirectcost Rate Types
POST/instprop/api/v1/indirectcost-rate-types/

Example URI

POST /instprop/api/v1/indirectcost-rate-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "indirectcostRateTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "indirectcostRateTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Indirectcost Rate Types
POST/instprop/api/v1/indirectcost-rate-types/

Example URI

POST /instprop/api/v1/indirectcost-rate-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "indirectcostRateTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Indirectcost Rate Types by Key
DELETE/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

DELETE /instprop/api/v1/indirectcost-rate-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Indirectcost Rate Types
DELETE/instprop/api/v1/indirectcost-rate-types/

Example URI

DELETE /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Indirectcost Rate Types with Matching
DELETE/instprop/api/v1/indirectcost-rate-types/

Example URI

DELETE /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

indirectcostRateTypeCode
string (optional) 

Indirectcost Rate Type Code. Maximum length is 22.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Attachment Types

Get Institutional Proposal Attachment Types by Key
GET/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "allowMultiple": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Attachment Types
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Attachment Types with Filtering
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
attachmentTypeCode
string (optional) 

Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

allowMultiple
string (optional) 

allowMultiple. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Attachment Types
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "attachmentTypeCode",
    "description",
    "allowMultiple"
  ],
  "primaryKey": "attachmentTypeCode"
}

Get Blueprint API specification for Institutional Proposal Attachment Types
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Attachment Types.md"
transfer-encoding: chunked

Update Institutional Proposal Attachment Types
PUT/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "allowMultiple": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Attachment Types
PUT/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

PUT /instprop/api/v1/institutional-proposal-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Attachment Types
PATCH/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "allowMultiple": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "allowMultiple": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Attachment Types
POST/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

POST /instprop/api/v1/institutional-proposal-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "allowMultiple": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "allowMultiple": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Attachment Types
POST/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

POST /instprop/api/v1/institutional-proposal-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "allowMultiple": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Attachment Types by Key
DELETE/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Attachment Types
DELETE/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Attachment Types with Matching
DELETE/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

attachmentTypeCode
string (optional) 

Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

allowMultiple
string (optional) 

allowMultiple. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Attachments

Get Institutional Proposal Attachments by Key
GET/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "fileDataId": "(val)",
  "sequenceNumber": "(val)",
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "fileName": "(val)",
  "contentType": "(val)",
  "comments": "(val)",
  "documentStatusCode": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Attachments
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Attachments with Filtering
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
proposalAttachmentId
string (optional) 
proposalId
string (optional) 
proposalNumber
string (optional) 
fileDataId
string (optional) 
sequenceNumber
string (optional) 
attachmentNumber
string (optional) 
attachmentTitle
string (optional) 

Description. Maximum length is 150.

attachmentTypeCode
string (optional) 

Code. Maximum length is 3.

fileName
string (optional) 

Id. Maximum length is 150.

contentType
string (optional) 
comments
string (optional) 

Comments. Maximum length is 2000.

documentStatusCode
string (optional) 
lastUpdateTimestamp
string (optional) 

The creation or last modification timestamp. Maximum length is 21.

lastUpdateUser
string (optional) 

The user who created or last modified the object. Maximum length is 60.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Attachments
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "proposalAttachmentId",
    "proposalId",
    "proposalNumber",
    "fileDataId",
    "sequenceNumber",
    "attachmentNumber",
    "attachmentTitle",
    "attachmentTypeCode",
    "fileName",
    "contentType",
    "comments",
    "documentStatusCode",
    "lastUpdateTimestamp",
    "lastUpdateUser"
  ],
  "primaryKey": "proposalAttachmentId"
}

Get Blueprint API specification for Institutional Proposal Attachments
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Attachments.md"
transfer-encoding: chunked

Update Institutional Proposal Attachments
PUT/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "fileDataId": "(val)",
  "sequenceNumber": "(val)",
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "fileName": "(val)",
  "contentType": "(val)",
  "comments": "(val)",
  "documentStatusCode": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Attachments
PUT/instprop/api/v1/institutional-proposal-attachments/

Example URI

PUT /instprop/api/v1/institutional-proposal-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Attachments
PATCH/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "fileDataId": "(val)",
  "sequenceNumber": "(val)",
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "fileName": "(val)",
  "contentType": "(val)",
  "comments": "(val)",
  "documentStatusCode": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "fileDataId": "(val)",
  "sequenceNumber": "(val)",
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "fileName": "(val)",
  "contentType": "(val)",
  "comments": "(val)",
  "documentStatusCode": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Attachments
POST/instprop/api/v1/institutional-proposal-attachments/

Example URI

POST /instprop/api/v1/institutional-proposal-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "fileDataId": "(val)",
  "sequenceNumber": "(val)",
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "fileName": "(val)",
  "contentType": "(val)",
  "comments": "(val)",
  "documentStatusCode": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "fileDataId": "(val)",
  "sequenceNumber": "(val)",
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "fileName": "(val)",
  "contentType": "(val)",
  "comments": "(val)",
  "documentStatusCode": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Attachments
POST/instprop/api/v1/institutional-proposal-attachments/

Example URI

POST /instprop/api/v1/institutional-proposal-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "fileDataId": "(val)",
    "sequenceNumber": "(val)",
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "fileName": "(val)",
    "contentType": "(val)",
    "comments": "(val)",
    "documentStatusCode": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Attachments by Key
DELETE/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Attachments
DELETE/instprop/api/v1/institutional-proposal-attachments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Attachments with Matching
DELETE/instprop/api/v1/institutional-proposal-attachments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

proposalAttachmentId
string (optional) 
proposalId
string (optional) 
proposalNumber
string (optional) 
fileDataId
string (optional) 
sequenceNumber
string (optional) 
attachmentNumber
string (optional) 
attachmentTitle
string (optional) 

Description. Maximum length is 150.

attachmentTypeCode
string (optional) 

Code. Maximum length is 3.

fileName
string (optional) 

Id. Maximum length is 150.

contentType
string (optional) 
comments
string (optional) 

Comments. Maximum length is 2000.

documentStatusCode
string (optional) 
lastUpdateTimestamp
string (optional) 

The creation or last modification timestamp. Maximum length is 21.

lastUpdateUser
string (optional) 

The user who created or last modified the object. Maximum length is 60.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Comments

Get Institutional Proposal Comments by Key
GET/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Comments
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Comments with Filtering
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
proposalCommentsId
string (optional) 

Proposal Comments Id. Maximum length is 22.

proposalId
string (optional) 

Proposal Id. Maximum length is 22.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22.

commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 22.

comments
string (optional) 

Comments. Maximum length is 4000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Comments
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "proposalCommentsId",
    "proposalId",
    "proposalNumber",
    "sequenceNumber",
    "commentTypeCode",
    "comments"
  ],
  "primaryKey": "proposalCommentsId"
}

Get Blueprint API specification for Institutional Proposal Comments
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Comments.md"
transfer-encoding: chunked

Update Institutional Proposal Comments
PUT/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Comments
PUT/instprop/api/v1/institutional-proposal-comments/

Example URI

PUT /instprop/api/v1/institutional-proposal-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Comments
PATCH/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Comments
POST/instprop/api/v1/institutional-proposal-comments/

Example URI

POST /instprop/api/v1/institutional-proposal-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Comments
POST/instprop/api/v1/institutional-proposal-comments/

Example URI

POST /instprop/api/v1/institutional-proposal-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Comments by Key
DELETE/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Comments
DELETE/instprop/api/v1/institutional-proposal-comments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Comments with Matching
DELETE/instprop/api/v1/institutional-proposal-comments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

proposalCommentsId
string (optional) 

Proposal Comments Id. Maximum length is 22.

proposalId
string (optional) 

Proposal Id. Maximum length is 22.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22.

commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 22.

comments
string (optional) 

Comments. Maximum length is 4000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Cost Shares

Get Institutional Proposal Cost Shares by Key
GET/instprop/api/v1/institutional-proposal-cost-shares/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalCostShareId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "projectPeriod": "(val)",
  "costSharePercentage": "(val)",
  "costShareTypeCode": "(val)",
  "sourceAccount": "(val)",
  "amount": "(val)",
  "unitNumber": "(val)",
  "institutionalProposal.proposalId": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Cost Shares
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "projectPeriod": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "sourceAccount": "(val)",
    "amount": "(val)",
    "unitNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "projectPeriod": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "sourceAccount": "(val)",
    "amount": "(val)",
    "unitNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Cost Shares with Filtering
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
URI Parameters
HideShow
proposalCostShareId
string (optional) 

Proposal Cost Share Id. Maximum length is 22.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22.

projectPeriod
string (optional) 

Project Period. Maximum length is 4.

costSharePercentage
string (optional) 

Cost Share Percentage. Maximum length is 10.

costShareTypeCode
string (optional) 

Cost Share Type Code. Maximum length is 3.

sourceAccount
string (optional) 

Source Account. Maximum length is 32.

amount
string (optional) 

Amount. Maximum length is 12.

unitNumber
string (optional) 

Unit Number. Maximum length is 8.

institutionalProposal.proposalId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "projectPeriod": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "sourceAccount": "(val)",
    "amount": "(val)",
    "unitNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "projectPeriod": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "sourceAccount": "(val)",
    "amount": "(val)",
    "unitNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Cost Shares
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "proposalCostShareId",
    "proposalNumber",
    "sequenceNumber",
    "projectPeriod",
    "costSharePercentage",
    "costShareTypeCode",
    "sourceAccount",
    "amount",
    "unitNumber",
    "institutionalProposal.proposalId"
  ],
  "primaryKey": "proposalCostShareId"
}

Get Blueprint API specification for Institutional Proposal Cost Shares
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Cost Shares.md"
transfer-encoding: chunked

Institutional Proposal Custom Data

Get Institutional Proposal Custom Data by Key
GET/instprop/api/v1/institutional-proposal-custom-data/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalCustomDataId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "institutionalProposal.proposalId": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Custom Data
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Custom Data with Filtering
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
URI Parameters
HideShow
proposalCustomDataId
string (optional) 

Proposal Custom Data Id. Maximum length is 22.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 10.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22.

customAttributeId
string (optional) 

Custom Attribute Id. Maximum length is 22.

value
string (optional) 

Value. Maximum length is 2000.

institutionalProposal.proposalId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Custom Data
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "proposalCustomDataId",
    "proposalNumber",
    "sequenceNumber",
    "customAttributeId",
    "value",
    "institutionalProposal.proposalId"
  ],
  "primaryKey": "proposalCustomDataId"
}

Get Blueprint API specification for Institutional Proposal Custom Data
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Custom Data.md"
transfer-encoding: chunked

Institutional Proposal Notepads

Get Institutional Proposal Notepads by Key
GET/instprop/api/v1/institutional-proposal-notepads/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-notepads/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalNotepadId": "(val)",
  "proposalNumber": "(val)",
  "entryNumber": "(val)",
  "noteTopic": "(val)",
  "comments": "(val)",
  "restrictedView": "(val)",
  "noteId": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "institutionalProposal.proposalId": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Notepads
GET/instprop/api/v1/institutional-proposal-notepads/

Example URI

GET /instprop/api/v1/institutional-proposal-notepads/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalNotepadId": "(val)",
    "proposalNumber": "(val)",
    "entryNumber": "(val)",
    "noteTopic": "(val)",
    "comments": "(val)",
    "restrictedView": "(val)",
    "noteId": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalNotepadId": "(val)",
    "proposalNumber": "(val)",
    "entryNumber": "(val)",
    "noteTopic": "(val)",
    "comments": "(val)",
    "restrictedView": "(val)",
    "noteId": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Notepads with Filtering
GET/instprop/api/v1/institutional-proposal-notepads/

Example URI

GET /instprop/api/v1/institutional-proposal-notepads/
URI Parameters
HideShow
proposalNotepadId
string (optional) 

Proposal Notepad Id. Maximum length is 22.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8.

entryNumber
string (optional) 

Entry Number. Maximum length is 22.

noteTopic
string (optional) 

Comments. Maximum length is 60.

comments
string (optional) 

Comments. Maximum length is 4000.

restrictedView
string (optional) 

Restricted View. Maximum length is 1.

noteId
string (optional) 
createTimestamp
string (optional) 

Posted Timestamp. Maximum length is 10.

createUser
string (optional) 
institutionalProposal.proposalId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalNotepadId": "(val)",
    "proposalNumber": "(val)",
    "entryNumber": "(val)",
    "noteTopic": "(val)",
    "comments": "(val)",
    "restrictedView": "(val)",
    "noteId": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalNotepadId": "(val)",
    "proposalNumber": "(val)",
    "entryNumber": "(val)",
    "noteTopic": "(val)",
    "comments": "(val)",
    "restrictedView": "(val)",
    "noteId": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Notepads
GET/instprop/api/v1/institutional-proposal-notepads/

Example URI

GET /instprop/api/v1/institutional-proposal-notepads/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "proposalNotepadId",
    "proposalNumber",
    "entryNumber",
    "noteTopic",
    "comments",
    "restrictedView",
    "noteId",
    "createTimestamp",
    "createUser",
    "institutionalProposal.proposalId"
  ],
  "primaryKey": "proposalNotepadId"
}

Get Blueprint API specification for Institutional Proposal Notepads
GET/instprop/api/v1/institutional-proposal-notepads/

Example URI

GET /instprop/api/v1/institutional-proposal-notepads/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Notepads.md"
transfer-encoding: chunked

Institutional Proposal Person Credit Splits

Get Institutional Proposal Person Credit Splits by Key
GET/instprop/api/v1/institutional-proposal-person-credit-splits/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "institutionalProposalPersonCreditSplitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Person Credit Splits
GET/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Person Credit Splits with Filtering
GET/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-credit-splits/
URI Parameters
HideShow
institutionalProposalPersonCreditSplitId
string (optional) 
institutionalProposalContactId
string (optional) 
invCreditTypeCode
string (optional) 
credit
string (optional) 

Credit. Maximum length is 6.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Person Credit Splits
GET/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-credit-splits/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "institutionalProposalPersonCreditSplitId",
    "institutionalProposalContactId",
    "invCreditTypeCode",
    "credit"
  ],
  "primaryKey": "institutionalProposalPersonCreditSplitId"
}

Get Blueprint API specification for Institutional Proposal Person Credit Splits
GET/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-credit-splits/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Credit Splits.md"
transfer-encoding: chunked

Update Institutional Proposal Person Credit Splits
PUT/instprop/api/v1/institutional-proposal-person-credit-splits/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonCreditSplitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Person Credit Splits
PUT/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

PUT /instprop/api/v1/institutional-proposal-person-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Person Credit Splits
PATCH/instprop/api/v1/institutional-proposal-person-credit-splits/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonCreditSplitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "institutionalProposalPersonCreditSplitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Person Credit Splits
POST/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

POST /instprop/api/v1/institutional-proposal-person-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonCreditSplitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "institutionalProposalPersonCreditSplitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Person Credit Splits
POST/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

POST /instprop/api/v1/institutional-proposal-person-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonCreditSplitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Person Credit Splits by Key
DELETE/instprop/api/v1/institutional-proposal-person-credit-splits/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Credit Splits
DELETE/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-credit-splits/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Credit Splits with Matching
DELETE/instprop/api/v1/institutional-proposal-person-credit-splits/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-credit-splits/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

institutionalProposalPersonCreditSplitId
string (optional) 
institutionalProposalContactId
string (optional) 
invCreditTypeCode
string (optional) 
credit
string (optional) 

Credit. Maximum length is 6.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Person Mass Changes

Get Institutional Proposal Person Mass Changes by Key
GET/instprop/api/v1/institutional-proposal-person-mass-changes/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "institutionalProposalPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "investigator": "(val)",
  "keyStudyPerson": "(val)",
  "unitContact": "(val)",
  "mailingInformation": "(val)",
  "ipReviewer": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Person Mass Changes
GET/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

GET /instprop/api/v1/institutional-proposal-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Person Mass Changes with Filtering
GET/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

GET /instprop/api/v1/institutional-proposal-person-mass-changes/
URI Parameters
HideShow
institutionalProposalPersonMassChangeId
string (optional) 

Institutional Proposal Person Mass Change Id. Maximum length is 12.

personMassChangeId
string (optional) 

Person Mass Change Id. Maximum length is 12.

investigator
string (optional) 

Investigator. Maximum length is 1.

keyStudyPerson
string (optional) 

Key Study Person. Maximum length is 1.

unitContact
string (optional) 

Unit Contact. Maximum length is 1.

mailingInformation
string (optional) 

Mailing Information. Maximum length is 1.

ipReviewer
string (optional) 

IP Reviewer. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Person Mass Changes
GET/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

GET /instprop/api/v1/institutional-proposal-person-mass-changes/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "institutionalProposalPersonMassChangeId",
    "personMassChangeId",
    "investigator",
    "keyStudyPerson",
    "unitContact",
    "mailingInformation",
    "ipReviewer"
  ],
  "primaryKey": "institutionalProposalPersonMassChangeId"
}

Get Blueprint API specification for Institutional Proposal Person Mass Changes
GET/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

GET /instprop/api/v1/institutional-proposal-person-mass-changes/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Mass Changes.md"
transfer-encoding: chunked

Update Institutional Proposal Person Mass Changes
PUT/instprop/api/v1/institutional-proposal-person-mass-changes/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "investigator": "(val)",
  "keyStudyPerson": "(val)",
  "unitContact": "(val)",
  "mailingInformation": "(val)",
  "ipReviewer": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Person Mass Changes
PUT/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

PUT /instprop/api/v1/institutional-proposal-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Person Mass Changes
PATCH/instprop/api/v1/institutional-proposal-person-mass-changes/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "investigator": "(val)",
  "keyStudyPerson": "(val)",
  "unitContact": "(val)",
  "mailingInformation": "(val)",
  "ipReviewer": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "institutionalProposalPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "investigator": "(val)",
  "keyStudyPerson": "(val)",
  "unitContact": "(val)",
  "mailingInformation": "(val)",
  "ipReviewer": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Person Mass Changes
POST/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

POST /instprop/api/v1/institutional-proposal-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "investigator": "(val)",
  "keyStudyPerson": "(val)",
  "unitContact": "(val)",
  "mailingInformation": "(val)",
  "ipReviewer": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "institutionalProposalPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "investigator": "(val)",
  "keyStudyPerson": "(val)",
  "unitContact": "(val)",
  "mailingInformation": "(val)",
  "ipReviewer": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Person Mass Changes
POST/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

POST /instprop/api/v1/institutional-proposal-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "investigator": "(val)",
    "keyStudyPerson": "(val)",
    "unitContact": "(val)",
    "mailingInformation": "(val)",
    "ipReviewer": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Person Mass Changes by Key
DELETE/instprop/api/v1/institutional-proposal-person-mass-changes/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Mass Changes
DELETE/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-mass-changes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Mass Changes with Matching
DELETE/instprop/api/v1/institutional-proposal-person-mass-changes/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-mass-changes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

institutionalProposalPersonMassChangeId
string (optional) 

Institutional Proposal Person Mass Change Id. Maximum length is 12.

personMassChangeId
string (optional) 

Person Mass Change Id. Maximum length is 12.

investigator
string (optional) 

Investigator. Maximum length is 1.

keyStudyPerson
string (optional) 

Key Study Person. Maximum length is 1.

unitContact
string (optional) 

Unit Contact. Maximum length is 1.

mailingInformation
string (optional) 

Mailing Information. Maximum length is 1.

ipReviewer
string (optional) 

IP Reviewer. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Person Unit Credit Splits

Get Institutional Proposal Person Unit Credit Splits by Key
GET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "institutionalProposalPersonUnitCreditSplitId": "(val)",
  "institutionalProposalPersonUnitId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Person Unit Credit Splits
GET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Person Unit Credit Splits with Filtering
GET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
URI Parameters
HideShow
institutionalProposalPersonUnitCreditSplitId
string (optional) 
institutionalProposalPersonUnitId
string (optional) 
invCreditTypeCode
string (optional) 
credit
string (optional) 

Credit. Maximum length is 6.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Person Unit Credit Splits
GET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "institutionalProposalPersonUnitCreditSplitId",
    "institutionalProposalPersonUnitId",
    "invCreditTypeCode",
    "credit"
  ],
  "primaryKey": "institutionalProposalPersonUnitCreditSplitId"
}

Get Blueprint API specification for Institutional Proposal Person Unit Credit Splits
GET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

GET /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Unit Credit Splits.md"
transfer-encoding: chunked

Update Institutional Proposal Person Unit Credit Splits
PUT/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonUnitCreditSplitId": "(val)",
  "institutionalProposalPersonUnitId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Person Unit Credit Splits
PUT/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

PUT /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Person Unit Credit Splits
PATCH/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonUnitCreditSplitId": "(val)",
  "institutionalProposalPersonUnitId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "institutionalProposalPersonUnitCreditSplitId": "(val)",
  "institutionalProposalPersonUnitId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Person Unit Credit Splits
POST/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

POST /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonUnitCreditSplitId": "(val)",
  "institutionalProposalPersonUnitId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "institutionalProposalPersonUnitCreditSplitId": "(val)",
  "institutionalProposalPersonUnitId": "(val)",
  "invCreditTypeCode": "(val)",
  "credit": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Person Unit Credit Splits
POST/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

POST /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitCreditSplitId": "(val)",
    "institutionalProposalPersonUnitId": "(val)",
    "invCreditTypeCode": "(val)",
    "credit": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Person Unit Credit Splits by Key
DELETE/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Unit Credit Splits
DELETE/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Unit Credit Splits with Matching
DELETE/instprop/api/v1/institutional-proposal-person-unit-credit-splits/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-unit-credit-splits/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

institutionalProposalPersonUnitCreditSplitId
string (optional) 
institutionalProposalPersonUnitId
string (optional) 
invCreditTypeCode
string (optional) 
credit
string (optional) 

Credit. Maximum length is 6.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Person Units

Get Institutional Proposal Person Units by Key
GET/instprop/api/v1/institutional-proposal-person-units/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-person-units/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "institutionalProposalPersonUnitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "unitNumber": "(val)",
  "leadUnit": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Person Units
GET/instprop/api/v1/institutional-proposal-person-units/

Example URI

GET /instprop/api/v1/institutional-proposal-person-units/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Person Units with Filtering
GET/instprop/api/v1/institutional-proposal-person-units/

Example URI

GET /instprop/api/v1/institutional-proposal-person-units/
URI Parameters
HideShow
institutionalProposalPersonUnitId
string (optional) 

InstitutionalProposalPersonUnit ID. Maximum length is 8.

institutionalProposalContactId
string (optional) 
unitNumber
string (optional) 

Unit Number. Maximum length is 8.

leadUnit
string (optional) 

Lead Unit flag. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Person Units
GET/instprop/api/v1/institutional-proposal-person-units/

Example URI

GET /instprop/api/v1/institutional-proposal-person-units/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "institutionalProposalPersonUnitId",
    "institutionalProposalContactId",
    "unitNumber",
    "leadUnit"
  ],
  "primaryKey": "institutionalProposalPersonUnitId"
}

Get Blueprint API specification for Institutional Proposal Person Units
GET/instprop/api/v1/institutional-proposal-person-units/

Example URI

GET /instprop/api/v1/institutional-proposal-person-units/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Units.md"
transfer-encoding: chunked

Update Institutional Proposal Person Units
PUT/instprop/api/v1/institutional-proposal-person-units/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-person-units/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonUnitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "unitNumber": "(val)",
  "leadUnit": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Person Units
PUT/instprop/api/v1/institutional-proposal-person-units/

Example URI

PUT /instprop/api/v1/institutional-proposal-person-units/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Person Units
PATCH/instprop/api/v1/institutional-proposal-person-units/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-person-units/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonUnitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "unitNumber": "(val)",
  "leadUnit": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "institutionalProposalPersonUnitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "unitNumber": "(val)",
  "leadUnit": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Person Units
POST/instprop/api/v1/institutional-proposal-person-units/

Example URI

POST /instprop/api/v1/institutional-proposal-person-units/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposalPersonUnitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "unitNumber": "(val)",
  "leadUnit": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "institutionalProposalPersonUnitId": "(val)",
  "institutionalProposalContactId": "(val)",
  "unitNumber": "(val)",
  "leadUnit": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Person Units
POST/instprop/api/v1/institutional-proposal-person-units/

Example URI

POST /instprop/api/v1/institutional-proposal-person-units/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalPersonUnitId": "(val)",
    "institutionalProposalContactId": "(val)",
    "unitNumber": "(val)",
    "leadUnit": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Person Units by Key
DELETE/instprop/api/v1/institutional-proposal-person-units/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-units/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Units
DELETE/instprop/api/v1/institutional-proposal-person-units/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-units/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Person Units with Matching
DELETE/instprop/api/v1/institutional-proposal-person-units/

Example URI

DELETE /instprop/api/v1/institutional-proposal-person-units/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

institutionalProposalPersonUnitId
string (optional) 

InstitutionalProposalPersonUnit ID. Maximum length is 8.

institutionalProposalContactId
string (optional) 
unitNumber
string (optional) 

Unit Number. Maximum length is 8.

leadUnit
string (optional) 

Lead Unit flag. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Institutional Proposal Persons

Get Institutional Proposal Persons by Key
GET/instprop/api/v1/institutional-proposal-persons/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-persons/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "institutionalProposalContactId": "(val)",
  "personId": "(val)",
  "rolodexId": "(val)",
  "fullName": "(val)",
  "academicYearEffort": "(val)",
  "calendarYearEffort": "(val)",
  "summerEffort": "(val)",
  "totalEffort": "(val)",
  "faculty": "(val)",
  "includeInCreditAllocation": "(val)",
  "roleCode": "(val)",
  "keyPersonRole": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "institutionalProposal.proposalId": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Persons
GET/instprop/api/v1/institutional-proposal-persons/

Example URI

GET /instprop/api/v1/institutional-proposal-persons/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalContactId": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "fullName": "(val)",
    "academicYearEffort": "(val)",
    "calendarYearEffort": "(val)",
    "summerEffort": "(val)",
    "totalEffort": "(val)",
    "faculty": "(val)",
    "includeInCreditAllocation": "(val)",
    "roleCode": "(val)",
    "keyPersonRole": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalContactId": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "fullName": "(val)",
    "academicYearEffort": "(val)",
    "calendarYearEffort": "(val)",
    "summerEffort": "(val)",
    "totalEffort": "(val)",
    "faculty": "(val)",
    "includeInCreditAllocation": "(val)",
    "roleCode": "(val)",
    "keyPersonRole": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Persons with Filtering
GET/instprop/api/v1/institutional-proposal-persons/

Example URI

GET /instprop/api/v1/institutional-proposal-persons/
URI Parameters
HideShow
institutionalProposalContactId
string (optional) 

InstitutionalProposal Contact ID. Maximum length is 8.

personId
string (optional) 
rolodexId
string (optional) 
fullName
string (optional) 

Full Name. Maximum length is 90.

academicYearEffort
string (optional) 

Academic Year Effort. Maximum length is 7.

calendarYearEffort
string (optional) 

Calendar Year Effort. Maximum length is 7.

summerEffort
string (optional) 

Summer Effort. Maximum length is 7.

totalEffort
string (optional) 

Total Effort. Maximum length is 7.

faculty
string (optional) 

Faculty flag. Maximum length is 1.

includeInCreditAllocation
string (optional) 

Include in Credit Allocation. Maximum length is 1.

roleCode
string (optional) 
keyPersonRole
string (optional) 

Project Role. Maximum length is 60.

proposalNumber
string (optional) 

Institutional Proposal Number. Maximum length is 8.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 4.

institutionalProposal.proposalId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "institutionalProposalContactId": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "fullName": "(val)",
    "academicYearEffort": "(val)",
    "calendarYearEffort": "(val)",
    "summerEffort": "(val)",
    "totalEffort": "(val)",
    "faculty": "(val)",
    "includeInCreditAllocation": "(val)",
    "roleCode": "(val)",
    "keyPersonRole": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposalContactId": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "fullName": "(val)",
    "academicYearEffort": "(val)",
    "calendarYearEffort": "(val)",
    "summerEffort": "(val)",
    "totalEffort": "(val)",
    "faculty": "(val)",
    "includeInCreditAllocation": "(val)",
    "roleCode": "(val)",
    "keyPersonRole": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Persons
GET/instprop/api/v1/institutional-proposal-persons/

Example URI

GET /instprop/api/v1/institutional-proposal-persons/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "institutionalProposalContactId",
    "personId",
    "rolodexId",
    "fullName",
    "academicYearEffort",
    "calendarYearEffort",
    "summerEffort",
    "totalEffort",
    "faculty",
    "includeInCreditAllocation",
    "roleCode",
    "keyPersonRole",
    "proposalNumber",
    "sequenceNumber",
    "institutionalProposal.proposalId"
  ],
  "primaryKey": "institutionalProposalContactId"
}

Get Blueprint API specification for Institutional Proposal Persons
GET/instprop/api/v1/institutional-proposal-persons/

Example URI

GET /instprop/api/v1/institutional-proposal-persons/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Persons.md"
transfer-encoding: chunked

Institutional Proposal Science Keywords

Get Institutional Proposal Science Keywords by Key
GET/instprop/api/v1/institutional-proposal-science-keywords/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-science-keywords/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalScienceKeywordId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "scienceKeywordCode": "(val)",
  "institutionalProposal.proposalId": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Science Keywords
GET/instprop/api/v1/institutional-proposal-science-keywords/

Example URI

GET /instprop/api/v1/institutional-proposal-science-keywords/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalScienceKeywordId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "scienceKeywordCode": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalScienceKeywordId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "scienceKeywordCode": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Science Keywords with Filtering
GET/instprop/api/v1/institutional-proposal-science-keywords/

Example URI

GET /instprop/api/v1/institutional-proposal-science-keywords/
URI Parameters
HideShow
proposalScienceKeywordId
string (optional) 

Proposal Science Code Id. Maximum length is 22.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22.

scienceKeywordCode
string (optional) 

Science Code. Maximum length is 15.

institutionalProposal.proposalId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalScienceKeywordId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "scienceKeywordCode": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalScienceKeywordId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "scienceKeywordCode": "(val)",
    "institutionalProposal.proposalId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Science Keywords
GET/instprop/api/v1/institutional-proposal-science-keywords/

Example URI

GET /instprop/api/v1/institutional-proposal-science-keywords/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "proposalScienceKeywordId",
    "proposalNumber",
    "sequenceNumber",
    "scienceKeywordCode",
    "institutionalProposal.proposalId"
  ],
  "primaryKey": "proposalScienceKeywordId"
}

Get Blueprint API specification for Institutional Proposal Science Keywords
GET/instprop/api/v1/institutional-proposal-science-keywords/

Example URI

GET /instprop/api/v1/institutional-proposal-science-keywords/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Science Keywords.md"
transfer-encoding: chunked

Institutional Proposal Special Review Exemptions

Get Institutional Proposal Special Review Exemptions by Key
GET/instprop/api/v1/institutional-proposal-special-review-exemptions/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-special-review-exemptions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalSpecialReviewExemptionId": "(val)",
  "exemptionTypeCode": "(val)",
  "institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Special Review Exemptions
GET/instprop/api/v1/institutional-proposal-special-review-exemptions/

Example URI

GET /instprop/api/v1/institutional-proposal-special-review-exemptions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalSpecialReviewExemptionId": "(val)",
    "exemptionTypeCode": "(val)",
    "institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalSpecialReviewExemptionId": "(val)",
    "exemptionTypeCode": "(val)",
    "institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Special Review Exemptions with Filtering
[...]
